<h1>#Liste des sites </h1>
<div class="container" *ngIf=" site && site.length>0">
    
    <div class="my-2">
    <div class="row">
        <div class="col-md-4">
            <a class="btn btn-primary" routerLink="add">Nouveau Site</a>
         </div>
         
    </div>
</div>
    <div class=" row row-cols-1 row-cols-md-3">
        <div class="col mb-4" *ngFor="let i of site">
            <div class="card"  >
                <img src="{{i.photo }}" class="card-img-top" alt="" [title]="i.nom" height="200px" width="200">
                <div class="card-body">
                    <h5 class="card-title">{{i.nom | uppercase}} </h5>
                    <div >
                    <i class="fa fa-info" id="detail" [style.color]="'green'" id="info" routerLink="detail/{{i.id_site}}"></i>
                    <i class="fa fa-edit" id="update" [style.color]="'blue'" routerLink="modifie/{{i.id_site}}/"></i>
                    <i class="fa fa-trash" [style.color]="'red'" id="delete" (click)="deleteSite(i.id_site)" ></i>

                    </div>
                    
                </div>
            </div>
            
        </div>
    </div>
    
    </div>